## kde-dev-scripts 18.08.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(kde-dev-scripts)

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(FeatureSummary)
include(KDEInstallDirs)

find_package(KF5 COMPONENTS DocTools)

# Note that all of these files should be *scripts* that do not require
# compilation, therefore we simply install them. We split out Bourne shell
# programs explicitly but it's not guaranteed that the Perl/Python/Ruby/etc.
# ones behave well on Mac or Windows just because we don't elide those too.

########### install files ###############
if(UNIX)
#shell program

if(KF5DocTools_FOUND)
  add_subdirectory(doc)
endif()

install(PROGRAMS
  adddebug
  build-progress.sh
  cheatmake
  c++-rename-class-and-file
  c++-copy-class-and-file
  create_cvsignore
  create_makefiles
  create_svnignore
  cvsaddcurrentdir
  cvsbackport
  cvsforwardport
  cvslastlog
  cvsrevertlast
  cvsversion
  findmissingcrystal
  fix-include.sh
  kdedoc
  krazy-licensecheck
  optimizegraphics
  nonsvnlist
  pruneemptydirs
  qtdoc
  svnbackport
  svnforwardport
  svnchangesince
  svngettags
  svnlastlog
  svnrevertlast
  uncrustify-kf5
  wcgrep
  draw_lib_dependencies
  DESTINATION ${KDE_INSTALL_BINDIR})

install(FILES
  uncrustify-kf5.cfg
  uncrustify-qt.cfg
  DESTINATION ${KDE_INSTALL_DATADIR}/uncrustify)

endif()

install(PROGRAMS
  create_makefile
  makeobj
  cvscheck
  cvslastchange
  noncvslist
  cvs-clean
  cvsblame
  colorsvn
  svn-clean
  svnlastchange
  svnversions
  extractrc
  extractattr
  zonetab2pot.py
  fixkdeincludes
  fixuifiles
  includemocs
  cxxmetric
  extend_dmalloc
  kdekillall
  kdelnk2desktop.py
  package_crystalsvg
  png2mng.pl
  kdemangen.pl
  svnintegrate
  kde_generate_export_header
  kde-systemsettings-tree.py
  reviewboard-am
  grantlee_strings_extractor.py
  DESTINATION ${KDE_INSTALL_BINDIR})

# SKIP_PO_INSTALL

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
kde-dev-scripts (4:18.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * The new upstream release supports Python 3, at least the installed should
    do; hence:
    - switch the python build dependency to python3
    - switch the python2 dh addon to python3
    - switch the ${python:Depends} substvar with ${python3:Depends}
    - force the shebang as /usr/bin/python3, so python2 shebangs are converted
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 04 Sep 2018 07:52:26 +0200

kde-dev-scripts (4:18.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Update the patches:
    - append_kde.diff: refresh
  * Remove empty line at the end of changelog.
  * Calculate the python dependency automatically, using Python 2 as the
    shipped scripts still do not support Python 3:
    - add the dh-python, and python build dependencies
    - use the python2 dh addon
    - replace the python dependency with the ${python:Depends} substvar

 -- Pino Toscano <pino@debian.org>  Wed, 04 Jul 2018 07:25:54 +0200

kde-dev-scripts (4:17.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the libkf5kdelibs4support5-bin build dependency, no more needed now.
  * Update the patches:
    - append_kde.diff: refresh, and use the newer cmake variable for the path
  * Break/replace against kde-l10n that ships translations.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Feb 2018 21:17:04 +0100

kde-dev-scripts (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879323)

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Replace libkf5kdelibs4support-dev build dependency with
    libkf5kdelibs4support5-bin: it is needed only for DocBook v4.2 DTDs.
  * Remove the kde-l10n breaks/replaces, since there are no translations.
  * Remove the kdelibs5-doc suggest, as this package never existed.

 -- Pino Toscano <pino@debian.org>  Sun, 24 Dec 2017 14:55:06 +0100

kde-dev-scripts (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Sep 2017 15:44:08 +0200

kde-dev-scripts (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:58:56 +0000

kde-dev-scripts (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:33:02 +0000

kde-dev-scripts (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:19:47 +0000

kde-dev-scripts (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:02 +0000

kde-dev-scripts (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:14:27 +0000

kde-dev-scripts (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:03:27 +0000

kde-dev-scripts (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:47:32 +0000

kde-dev-scripts (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:57:49 +0000

kde-dev-scripts (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:16:55 +0000

kde-dev-scripts (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:25:39 +0000

kde-dev-scripts (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:01 +0000

kde-dev-scripts (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:22 +0000

kde-dev-scripts (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:16 +0000

kde-dev-scripts (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:48:15 +0000

kde-dev-scripts (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:38:45 +0000

=== debian/rules ===
#!/usr/bin/make -f

dh = --with python3
l10npkgs_firstversion_ok := 4:17.08.3-4~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command)

override_dh_auto_install-indep:
	# remove man pages of non-existing scripts
	rm debian/kdesdk-scripts/usr/share/man/man1/fixincludes.1
	rm debian/kdesdk-scripts/usr/share/man/man1/reportview.1
	rm debian/kdesdk-scripts/usr/share/man/man1/transxx.1

override_dh_installman:
	$(overridden_command) --language=C

override_dh_compress:
	$(overridden_command) -Xexamples

override_dh_python3:
	# force python2 shebangs to be python3
	$(overridden_command) --shebang=/usr/bin/python3

## kde-dev-scripts 18.12.3

=== debian/changelog ===
kde-dev-scripts (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:27:17 +0000

kde-dev-scripts (4:18.12.2-0ubuntu1) disco; urgency=medium

  * Update lintian overrides.
  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:14:40 +0000

kde-dev-scripts (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:09:43 +0000

kde-dev-scripts (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:48:18 +0000

kde-dev-scripts (4:18.08.3-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Lintian overrides.
    - Kubuntu Vcs fields.

  [ José Manuel Santamaría Lema ]
  * Refresh append_kde.diff

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 11:04:56 +0000

## kde-dev-scripts 19.04.3

=== debian/changelog ===
kde-dev-scripts (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:12:57 +0100

kde-dev-scripts (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:03:41 +0100

kde-dev-scripts (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:56:55 +0100

kde-dev-scripts (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:42:21 +0100

## kde-dev-scripts 19.12.3

=== debian/changelog ===
kde-dev-scripts (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:07:55 +0000

kde-dev-scripts (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:18:45 +0000

kde-dev-scripts (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:52:47 +0000

kde-dev-scripts (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:46:21 +0000

kde-dev-scripts (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:31:05 +0000

=== debian/control ===
Source: kde-dev-scripts
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 11~),
               dh-python,
               extra-cmake-modules (>= 1.3.0),
               libkf5doctools-dev,
               pkg-kde-tools (>> 0.15.15),
               python3,
Standards-Version: 4.2.1
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-scripts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-scripts

Package: kdesdk-scripts
Architecture: all
Section: devel
Depends: pkg-kde-tools, ${misc:Depends}, ${perl:Depends}, ${python3:Depends}
Recommends: advancecomp, gawk, optipng, subversion
Suggests: cvs,
          devscripts,
          dmalloc,
          gdb,
          khelpcenter,
          qt4-doc,
          valgrind,
          xsltproc,
Enhances: kate
Breaks: ${kde-l10n:all}, pkg-kde-tools (<< 0.15.12ubuntu1~)
Replaces: ${kde-l10n:all}, pkg-kde-tools (<< 0.15.12ubuntu1~)
Description: scripts and data files for development
 This package contains scripts and data files to facilitate development of
 KDE software.  Also included are scripts which are not specific to
 KDE, such as helper scripts for working with Subversion and CVS repositories.
 .
 In addition to these scripts, this package provides:
   - gdb macros for Qt programming
   - Vim and EMACS helper files for Qt/KDE programming
   - bash and zsh completion rules for KDE applications
   - Valgrind error suppressions for KDE applications
 .
 This package is part of the KDE Software Development Kit module.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 dh = --with python3
-l10npkgs_firstversion_ok := 4:17.08.3-4~
+l10npkgs_firstversion_ok := 4:17.08.3-0ubuntu3~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## kde-dev-scripts 20.08.1

=== debian/changelog ===
kde-dev-scripts (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:51:43 +0100

kde-dev-scripts (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop removing the reportview.1, and transxx.1 man pages, as they are no
    more shipped upstream.
  * Remove dh_installman override, as there are no more local Debian man pages.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 17:56:04 +0200

kde-dev-scripts (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5, and python3 addons
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
    - use a single override for dh_auto_install, now it should be enough
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - stop excluding examples from dh_compress, as it is done by default
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Remove qt4-doc suggest, as it was removed from Debian. (Closes: #953388)
  * Extend the removal of the spare man pages fixincludes.1, reportview.1, and
    transxx.1 also to translations.
  * Update lintian overrides.
  * Drop the Debian-provided man pages: they were changed last many years ago,
    and they all refer to scripts that are no more of use, or rarely used.
  * Rename svn-clean to svn-clean-kde directly in the install directory,
    instead of patching its installation path; avoids a patch to maintain.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 13:44:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 2.8.9~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper-compat (= 13),
                dh-python,
                extra-cmake-modules (>= 1.3.0),
                libkf5doctools-dev,
                pkg-kde-tools (>> 0.15.15),
                python3,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-scripts
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-scripts
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-dev-scripts
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-dev-scripts.git
 
 Package: kdesdk-scripts
 Architecture: all
@@ -28,7 +29,6 @@
           dmalloc,
           gdb,
           khelpcenter,
-          qt4-doc,
           valgrind,
           xsltproc,
 Enhances: kate

## kde-dev-scripts 20.12.0

=== debian/changelog ===
kde-dev-scripts (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Bump Standards-Version to 4.5.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Dec 2020 11:11:09 +0100

kde-dev-scripts (4:20.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.2).
  * Add patch to fix incorrect-path-for-interpreter as per policy §10.4.
  * Refresh upstream metadata.
  * Borrow minimal upstream signing key from k3b.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 27 Oct 2020 16:28:17 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5doctools-dev,
                pkg-kde-tools (>> 0.15.15),
                python3,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-dev-scripts

## kde-dev-scripts 20.12.3

=== debian/changelog ===
kde-dev-scripts (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:18:11 +0000

kde-dev-scripts (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:52:29 +0000

kde-dev-scripts (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:08:59 +0000

## kde-dev-scripts 21.08.1

=== debian/changelog ===
kde-dev-scripts (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:32:18 +0100

kde-dev-scripts (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:00:43 +0100

kde-dev-scripts (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:53:40 +0100

kde-dev-scripts (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:32:35 +0100

kde-dev-scripts (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:41:36 +0100

kde-dev-scripts (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:38:07 +0100

kde-dev-scripts (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:04:48 +0100

kde-dev-scripts (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:33:27 +0100

## kde-dev-scripts 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
 project(kde-dev-scripts)
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(FeatureSummary)
 include(KDEInstallDirs)

=== debian/changelog ===
kde-dev-scripts (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 22:35:59 +0100

kde-dev-scripts (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:08:49 +0900

kde-dev-scripts (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:54:57 +0900

kde-dev-scripts (4:21.04.0-1) experimental; urgency=medium
  [ Aurélien COUDERC ]
  * Copyright information: fix some missed GPL-1 copyrights.

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed George Kiagiadakis, Maximiliano Curia, Modestas Vainius from
    the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:02:24 +0900

=== debian/control ===
Source: kde-dev-scripts
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules (>= 1.3.0),
               libkf5doctools-dev,
               pkg-kde-tools (>> 0.15.15),
               python3,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/sdk/kde-dev-scripts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-dev-scripts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-dev-scripts.git

Package: kdesdk-scripts
Architecture: all
Section: devel
Depends: pkg-kde-tools, ${misc:Depends}, ${perl:Depends}, ${python3:Depends}
Recommends: advancecomp, gawk, optipng, subversion
Suggests: cvs, devscripts, dmalloc, gdb, khelpcenter, valgrind, xsltproc
Enhances: kate
Breaks: pkg-kde-tools (<< 0.15.12ubuntu1~), ${kde-l10n:all}
Replaces: pkg-kde-tools (<< 0.15.12ubuntu1~), ${kde-l10n:all}
Description: scripts and data files for development
 This package contains scripts and data files to facilitate development of
 KDE software.  Also included are scripts which are not specific to
 KDE, such as helper scripts for working with Subversion and CVS repositories.
 .
 In addition to these scripts, this package provides:
   - gdb macros for Qt programming
   - Vim and EMACS helper files for Qt/KDE programming
   - bash and zsh completion rules for KDE applications
   - Valgrind error suppressions for KDE applications
 .
 This package is part of the KDE Software Development Kit module.

## kde-dev-scripts 22.08.1

=== debian/changelog ===
kde-dev-scripts (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:38:23 +0100

kde-dev-scripts (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:48:28 +0100

kde-dev-scripts (4:22.04.3-0ubuntu2) kinetic; urgency=medium

  * Update lintian overrides

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 02 Aug 2022 12:34:04 +0100

kde-dev-scripts (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:25:53 +0100

kde-dev-scripts (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:59:51 +0100

kde-dev-scripts (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:57:10 +0100

kde-dev-scripts (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:46:21 +0100

kde-dev-scripts (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:08:56 +0000

kde-dev-scripts (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:15:25 +0000

kde-dev-scripts (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:23:15 +0000

kde-dev-scripts (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:20:17 +0000

kde-dev-scripts (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:04:25 +0000

kde-dev-scripts (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:15:36 +0000

kde-dev-scripts (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:24:47 +0000

kde-dev-scripts (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:38:35 +0000

## kde-dev-scripts 22.12.0

=== debian/changelog ===
kde-dev-scripts (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:34 +0100

kde-dev-scripts (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:53 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf5doctools-dev,
                pkg-kde-tools (>> 0.15.15),
                python3,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/sdk/kde-dev-scripts
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-dev-scripts

## kde-dev-scripts 22.12.1

=== debian/changelog ===
kde-dev-scripts (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:05:10 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf5doctools-dev,
                pkg-kde-tools (>> 0.15.15),
                python3,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/sdk/kde-dev-scripts
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-dev-scripts

## kde-dev-scripts 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 if(KF5DocTools_FOUND)
   add_subdirectory(doc)
+  kdoctools_install(po)
 endif()
 
 install(PROGRAMS
@@ -93,11 +94,10 @@
   kde-systemsettings-tree.py
   reviewboard-am
   grantlee_strings_extractor.py
+  clean-forward-declaration.sh
+  clean-includes.sh
   DESTINATION ${KDE_INSTALL_BINDIR})
 
 # SKIP_PO_INSTALL
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()

=== debian/changelog ===
kde-dev-scripts (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:48 +0100

=== debian/control ===
--- 
+++ 
@@ -21,12 +21,12 @@
 Package: kdesdk-scripts
 Architecture: all
 Section: devel
-Depends: pkg-kde-tools, ${misc:Depends}, ${perl:Depends}, ${python3:Depends}
-Recommends: advancecomp, gawk, optipng, subversion
-Suggests: cvs, devscripts, dmalloc, gdb, khelpcenter, valgrind, xsltproc
-Enhances: kate
-Breaks: pkg-kde-tools (<< 0.15.12ubuntu1~), ${kde-l10n:all}
-Replaces: pkg-kde-tools (<< 0.15.12ubuntu1~), ${kde-l10n:all}
+Depends: pkg-kde-tools, ${misc:Depends}, ${perl:Depends}, ${python3:Depends},
+Recommends: advancecomp, gawk, optipng, subversion,
+Suggests: cvs, devscripts, dmalloc, gdb, khelpcenter, valgrind, xsltproc,
+Enhances: kate,
+Breaks: pkg-kde-tools (<< 0.15.12ubuntu1~), ${kde-l10n:all},
+Replaces: pkg-kde-tools (<< 0.15.12ubuntu1~), ${kde-l10n:all},
 Description: scripts and data files for development
  This package contains scripts and data files to facilitate development of
  KDE software.  Also included are scripts which are not specific to

## kde-dev-scripts 23.08.0

=== debian/changelog ===
kde-dev-scripts (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:52:30 +0100

kde-dev-scripts (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:32:24 +0100

kde-dev-scripts (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:45:00 +0100

kde-dev-scripts (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:55:40 +0100

kde-dev-scripts (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:36:33 +0000

kde-dev-scripts (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:14:19 -0600

kde-dev-scripts (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:13:26 +0000

kde-dev-scripts (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sat, 31 Dec 2022 19:57:58 +0000

kde-dev-scripts (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:07:36 +0000

kde-dev-scripts (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:03:58 +0000

kde-dev-scripts (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:49:23 +0000

kde-dev-scripts (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:07:30 +0000

## kde-dev-scripts 23.08.1

=== debian/changelog ===
kde-dev-scripts (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:57:37 +0100

## kde-dev-scripts 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,23 @@
 cmake_minimum_required(VERSION 3.0)
 project(kde-dev-scripts)
 
-find_package(ECM 1.3.0 REQUIRED NO_MODULE)
+set(REQUIRED_QT_VERSION "5.15.2")
+
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(FeatureSummary)
 include(KDEInstallDirs)
 
-find_package(KF5 COMPONENTS DocTools)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
+
+
+find_package(KF${KF_MAJOR_VERSION} COMPONENTS DocTools)
 
 # Note that all of these files should be *scripts* that do not require
 # compilation, therefore we simply install them. We split out Bourne shell
@@ -18,7 +28,7 @@
 if(UNIX)
 #shell program
 
-if(KF5DocTools_FOUND)
+if(TARGET KF${KF_MAJOR_VERSION}::DocTools)
   add_subdirectory(doc)
   kdoctools_install(po)
 endif()

=== debian/changelog ===
kde-dev-scripts (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:40:41 -0700

kde-dev-scripts (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:13:48 +0000

kde-dev-scripts (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:33:15 +0000

kde-dev-scripts (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:29:31 +0100

=== debian/control ===
Source: kde-dev-scripts
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules (>= 1.3.0),
               libkf5doctools-dev,
               pkg-kde-tools (>> 0.15.15),
               python3,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/sdk/kde-dev-scripts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-scripts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-scripts

Package: kdesdk-scripts
Architecture: all
Section: devel
Depends: pkg-kde-tools, ${misc:Depends}, ${perl:Depends}, ${python3:Depends}
Recommends: advancecomp, gawk, optipng, subversion
Suggests: cvs, devscripts, dmalloc, gdb, khelpcenter, valgrind, xsltproc
Enhances: kate
Breaks: pkg-kde-tools (<< 0.15.12ubuntu1~), ${kde-l10n:all}
Replaces: pkg-kde-tools (<< 0.15.12ubuntu1~), ${kde-l10n:all}
Description: scripts and data files for development
 This package contains scripts and data files to facilitate development of
 KDE software.  Also included are scripts which are not specific to
 KDE, such as helper scripts for working with Subversion and CVS repositories.
 .
 In addition to these scripts, this package provides:
   - gdb macros for Qt programming
   - Vim and EMACS helper files for Qt/KDE programming
   - bash and zsh completion rules for KDE applications
   - Valgrind error suppressions for KDE applications
 .
 This package is part of the KDE Software Development Kit module.

## kde-dev-scripts 24.12.0

=== debian/changelog ===
kde-dev-scripts (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:09:33 +0000

kde-dev-scripts (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:06:04 +0000

kde-dev-scripts (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * Build with KF6.

 -- Rik Mills <rikmills@kde.org>  Fri, 22 Nov 2024 15:02:48 +0000

kde-dev-scripts (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 Nov 2024 08:20:36 +0000

## kde-dev-scripts 24.12.1

=== debian/changelog ===
kde-dev-scripts (4:24.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.1).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Remove inactive uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 14:58:56 +0100

=== debian/control ===
Source: kde-dev-scripts
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.4.0~),
               libkf6doctools-dev (>= 6.4.0~),
               pkg-kde-tools (>> 0.15.15),
               python3,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/sdk/kde-dev-scripts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-dev-scripts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-dev-scripts.git

Package: kdesdk-scripts
Architecture: all
Section: devel
Depends: pkg-kde-tools, ${misc:Depends}, ${perl:Depends}, ${python3:Depends},
Recommends: advancecomp, gawk, optipng, subversion,
Suggests: cvs, devscripts, dmalloc, gdb, khelpcenter, valgrind, xsltproc,
Enhances: kate,
Breaks: pkg-kde-tools (<< 0.15.12ubuntu1~), ${kde-l10n:all},
Replaces: pkg-kde-tools (<< 0.15.12ubuntu1~), ${kde-l10n:all},
Description: scripts and data files for development
 This package contains scripts and data files to facilitate development of
 KDE software.  Also included are scripts which are not specific to
 KDE, such as helper scripts for working with Subversion and CVS repositories.
 .
 In addition to these scripts, this package provides:
   - gdb macros for Qt programming
   - Vim and EMACS helper files for Qt/KDE programming
   - bash and zsh completion rules for KDE applications
   - Valgrind error suppressions for KDE applications
 .
 This package is part of the KDE Software Development Kit module.

## kde-dev-scripts 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.16)
 project(kde-dev-scripts)
 
-set(REQUIRED_QT_VERSION "5.15.2")
+set(REQUIRED_QT_VERSION "6.7")
+set(KF_MIN_VERSION "6.4.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -9,15 +10,7 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 
-if (QT_MAJOR_VERSION STREQUAL "6")
-    set(KF_MIN_VERSION "5.240.0")
-    set(KF_MAJOR_VERSION "6")
-else()
-    set(KF_MAJOR_VERSION "5")
-endif()
-
-
-find_package(KF${KF_MAJOR_VERSION} COMPONENTS DocTools)
+find_package(KF6 ${KF_MIN_VERSION} COMPONENTS DocTools)
 
 # Note that all of these files should be *scripts* that do not require
 # compilation, therefore we simply install them. We split out Bourne shell
@@ -28,7 +21,7 @@
 if(UNIX)
 #shell program
 
-if(TARGET KF${KF_MAJOR_VERSION}::DocTools)
+if(TARGET KF6::DocTools)
   add_subdirectory(doc)
   kdoctools_install(po)
 endif()
@@ -55,7 +48,6 @@
   optimizegraphics
   nonsvnlist
   pruneemptydirs
-  qtdoc
   svnbackport
   svnforwardport
   svnchangesince
@@ -75,6 +67,7 @@
 endif()
 
 install(PROGRAMS
+  addmocincludes
   create_makefile
   makeobj
   cvscheck
@@ -106,6 +99,7 @@
   grantlee_strings_extractor.py
   clean-forward-declaration.sh
   clean-includes.sh
+  port_new_gitlab_ci_template.sh
   DESTINATION ${KDE_INSTALL_BINDIR})
 
 # SKIP_PO_INSTALL

=== cmake-utils/samples/man/CMakeLists.txt ===
FIND_PACKAGE(KDE3 REQUIRED)

SET(CMAKE_VERBOSE_MAKEFILE ON)

ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE3_DEFINITIONS})

LINK_DIRECTORIES(${KDE3_LIB_DIR})

INCLUDE_DIRECTORIES( ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}  )

#configure checks, added manually

INCLUDE(CheckIncludeFiles) # module for testing for headers coming with cmake

CHECK_INCLUDE_FILES( unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILES( string.h HAVE_STRING_H)

CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

########### next target ###############

SET(kio_man_test_SRCS
kio_man_test.cpp
)

KDE3_AUTOMOC(${kio_man_test_SRCS})

IF(KDE3_BUILD_TESTS)
KDE3_ADD_EXECUTABLE(kio_man_test ${kio_man_test_SRCS})

TARGET_LINK_LIBRARIES(kio_man_test  ${QT_AND_KDECORE_LIBS} )

ENDIF(KDE3_BUILD_TESTS)

########### next target ###############

SET(man2html_SRCS
dummy.cpp
)

KDE3_AUTOMOC(${man2html_SRCS})

FILE(WRITE dummy.cpp "//autogenerated file by cmake\n")
IF(KDE3_BUILD_TESTS)
KDE3_ADD_EXECUTABLE(man2html ${man2html_SRCS})

TARGET_LINK_LIBRARIES(man2html  ${QT_AND_KDECORE_LIBS} )

ENDIF(KDE3_BUILD_TESTS)

########### next target ###############

SET(kio_man_PART_SRCS
man2html.cpp
kio_man.cpp
)

KDE3_AUTOMOC(${kio_man_PART_SRCS})

KDE3_ADD_KPART(kio_man ${kio_man_PART_SRCS})

TARGET_LINK_LIBRARIES(kio_man  ${QT_AND_KDECORE_LIBS} )

INSTALL_TARGETS(/lib/kde3 kio_man )


########### next target ###############

SET(kmanpart_PART_SRCS
kmanpart.cpp
)

KDE3_AUTOMOC(${kmanpart_PART_SRCS})

KDE3_ADD_KPART(kmanpart WITH_PREFIX ${kmanpart_PART_SRCS})

TARGET_LINK_LIBRARIES(kmanpart  ${QT_AND_KDECORE_LIBS} kparts )

INSTALL_TARGETS(/lib/kde3 kmanpart )


########### install files ###############

INSTALL_FILES( /share/apps/kio_man FILES kio_man.css )
INSTALL_FILES( /share/services FILES man.protocol kmanpart.desktop )




#original Makefile.am contents follow:

### Makefile.am of kdebase/kioslave/man
#
#INCLUDES= $(all_includes)
#AM_LDFLAGS = $(all_libraries) $(KDE_RPATH)
#
#EXTRA_PROGRAMS = kio_man_test man2html
#
######## just for testing (j.habenicht@europemail.com, 15.02.2001)
#
#kio_man_test_SOURCES = kio_man_test.cpp
#kio_man_test_LDFLAGS = $(all_libraries) $(KDE_RPATH)
#kio_man_test_LDADD = man2html.lo kio_man.lo $(LIB_KIO) $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_QT)
#
######## Files
#
#kde_module_LTLIBRARIES = kio_man.la  libkmanpart.la
#
#kio_man_la_SOURCES = man2html.cpp kio_man.cpp
#kio_man_la_LIBADD = $(LIB_KSYCOCA)
#kio_man_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
#noinst_HEADERS = kio_man.h
#### TODO Why is man2htmk.h distributed?
#
#libkmanpart_la_SOURCES = kmanpart.cpp
#libkmanpart_la_LIBADD = -lkhtml $(LIB_KPARTS)
#libkmanpart_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN)
#
#kdelnk_DATA = man.protocol kmanpart.desktop
#kdelnkdir = $(kde_servicesdir)
#
#kio_man_data_DATA = kio_man.css
#kio_man_datadir = $(kde_datadir)/kio_man
#EXTRA_DIST=$(kio_man_data_DATA)
#
#METASOURCES = AUTO
#
#messages:
#	$(XGETTEXT) -C *.cpp *.h -o $(podir)/kio_man.pot
#
#man2html_SOURCES = dummy.cpp
#man2html_LDADD = man2html_simple.o $(LIB_QT)
#man2html_LDFLAGS = $(all_libraries) $(KDE_RPATH)
#
#dummy.cpp:
#	echo > $@
#
#man2html_simple.o: $(srcdir)/man2html.cpp
#	-rm -f man2html_simple.cpp
#	$(LN_S) $(srcdir)/man2html.cpp man2html_simple.cpp
#	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) -DSIMPLE_MAN2HTML $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS) -c man2html_simple.cpp
#

=== debian/changelog ===
kde-dev-scripts (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:39:42 +0000

kde-dev-scripts (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:14:14 +0000

kde-dev-scripts (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:29:00 +0000

## kde-dev-scripts 25.04.0

=== debian/changelog ===
kde-dev-scripts (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:59:32 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf6doctools-dev (>= 6.4.0~),
                pkg-kde-tools (>> 0.15.15),
                python3,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/sdk/kde-dev-scripts
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-dev-scripts

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.08.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5,python3

override_dh_auto_install:
	dh_auto_install
	# Append "-kde" to svn-clean like KDE3 (#461095);
	# svn-clean script is provided by subversion-tools.
	mv debian/kdesdk-scripts/usr/bin/svn-clean debian/kdesdk-scripts/usr/bin/svn-clean-kde
	# remove man pages of non-existing scripts
	rm debian/kdesdk-scripts/usr/share/man/man1/fixincludes.1
	rm debian/kdesdk-scripts/usr/share/man/*/man1/fixincludes.1

override_dh_python3:
	# force python2 shebangs to be python3
	dh_python3 --shebang=/usr/bin/python3

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## kde-dev-scripts 25.04.3

=== debian/changelog ===
kde-dev-scripts (4:25.04.3-0ubuntu0~tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 02 Sep 2025 16:35:20 +0200

## kde-dev-scripts 25.07.80

=== debian/changelog ===
kde-dev-scripts (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:07:39 +0100

kde-dev-scripts (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:40:34 +0100

kde-dev-scripts (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:42:09 +0100

kde-dev-scripts (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:04:25 +0100

kde-dev-scripts (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:46:28 +0100

## kde-dev-scripts 25.07.90

=== debian/changelog ===
kde-dev-scripts (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:42:00 +0100

## kde-dev-scripts 25.08.0

=== debian/changelog ===
kde-dev-scripts (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:22:19 +0100
